Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.client
Class ClientProps

    java.lang.Object
      |
      +--com.sun.wbem.client.ClientProps

public final class ClientProps
extends java.lang.Object

The ClientProps class is a static final class which provides runtime access to the Wbem client configuration properties. Properties are retrieved through the getProperty and getPropertyList accessor methods. A full list of the configuration properties names can be retrieved through the getpropertyNames method.

Wbem configuration properties are loaded from two configuration properties files. The WbemDefaults properties file contains the default implementation configuration properties. The WbemExtensions properties file contains vendor extensions to the default implementation. Both files are read-only and the properties are not changeable at runtime. The WbemDefaults properties are loaded from the implementation jar file. The WbemExtensions properties are loaded by the class loader (which loaded this class), so must be available on the CLASSPATH (for local file system class loaders) or in the remote code base (for RMI class loaders). Both properties files are defined to be at the root of the Java package name space.

Since:
  WBEM 2.0

Constructor Summary
`ClientProps()`

Method Summary
`static java.lang.String` | `getProperty(java.lang.String name)` The getProperty method returns the value for the specified property name.
`static java.lang.String[]` | `getPropertyList(java.lang.String name)` The getPropertyList method returns an array of values for the specified property name prefix where the property name consists of the prefix plus an integer value; e.g., .0, .1, etc.
`static java.util.Enumeration` | `getPropertyNames()` The getPropertyNames method returns the list of property names.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientProps

    public ClientProps()

Method Detail

### getProperty

    public static java.lang.String getProperty(java.lang.String name)

  The getProperty method returns the value for the specified property name. If the property does not exist, a null reference is returned.
  Parameters:
    `name` - The property name
  Returns:
    The value for the specified property name

### getPropertyList

    public static java.lang.String[] getPropertyList(java.lang.String name)

  The getPropertyList method returns an array of values for the specified property name prefix where the property name consists of the prefix plus an integer value; e.g., .0, .1, etc. If the property prefix does not exist, a null reference is returned. The property name integer suffices must begin with "0" and must not omit any integer values in the naming sequence.
  Parameters:
    `name` - The property name prefix
  Returns:
    The values for the specified property name prefix

### getPropertyNames

    public static java.util.Enumeration getPropertyNames()

  The getPropertyNames method returns the list of property names.
  Parameters:
    `name` - The property name
  Returns:
    The value for the specified property name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD